### org.jfree.layouting.output

# Class DefaultFontContext

- `java.lang.Object`
- - `org.jfree.layouting.output.DefaultFontContext`

Implemented Interfaces:
  FontContext

`public class DefaultFontContext`
`extends java.lang.Object`
`implements FontContext`

Creation-Date: 23.06.2006, 17:37:56

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultFontContext(OutputProcessorMetaData metaData, boolean antiAliased, double size, String encoding, boolean embedded)`

  ## Method Summary

  `String`

  `getEncoding()`

  `double`

  `getFontSize()`
    The requested font size.

  `boolean`

  `isAntiAliased()`
    This is controlled by the output target and the stylesheet.

  `boolean`

  `isEmbedded()`

  `boolean`

  `isFractionalMetrics()`
    This is defined by the output target.

## Constructor Details

### DefaultFontContext

    public DefaultFontContext(OutputProcessorMetaData metaData,
                              boolean antiAliased,
                              double size,
                              String encoding,
                              boolean embedded)

## Method Details

### getEncoding

    public String getEncoding()

### getFontSize

    public double getFontSize()

> The requested font size. A font may have a fractional font size (ie. 8.5 point). The font size may be influenced by the output target.
> Returns:
>   the font size.

### isAntiAliased

    public boolean isAntiAliased()

> This is controlled by the output target and the stylesheet. If the output target does not support aliasing, it makes no sense to enable it and all such requests are ignored.
> Returns:

### isEmbedded

    public boolean isEmbedded()

### isFractionalMetrics

    public boolean isFractionalMetrics()

> This is defined by the output target. This is not controlled by the stylesheet.
> Returns: